<?php

declare(strict_types=1);

namespace IQDEV\Packages\DoctrineHttpFilter\Filter;

use Doctrine\ORM\QueryBuilder;
use IQDEV\Packages\DoctrineHttpFilter\HttpFilter;

final class DateRange extends HttpFilter
{
    public function addToQuery(QueryBuilder $queryBuilder): QueryBuilder
    {
        $queryBuilder->where(
        $this->getColumn() . ' >= \'' . $this->getHttpValue()['from'] . ' 00:00:00\' AND ' .
                   $this->getColumn() . ' <= \'' . $this->getHttpValue()['to'] . ' 23:59:59\'',
        );

        return $queryBuilder;
    }
}
